catalog:
  title: Openni2

templates:
- github
- freestyle
- base

variables:
  description: >-
    OpenNI or Open Natural Interaction is an industry-led, non-profit
    organization focused on certifying and improving interoperability
    of natural user interface and organic user interface for natural
    interaction devices, applications that use those devices and
    middleware that facilitates access and use of such devices.
  keywords:
  - openni
  - kinect
  - xtion
  - primesense
  - structure.io
  - rgbd
  - depth
  - sensor

  github.user: CentralLabFacilities
  github.project: OpenNI2

  branches:
  - master
  tags:
  - OpenNI2_CSRA_0.1
  - OpenNI2_CSRA_0.2
  - OpenNI2_CSRA_0.3
  - OpenNI2_CSRA_0.5

  platform-requires:
    ubuntu:
      packages:
      - libudev-dev
      - doxygen
  extra-provides:
  - nature: freestyle
    target: openni2
  - nature: pkg-config
    target: libopenni2
  - '@{next-value|[]}'

  shell.command: |
    export PATH=$PATH:${toolkit.dir}/bin;
    arch="x86";
    if [ `uname -m` = "x86_64" ]; then
      arch="x64";
    fi;
    cd Packaging/;
    # Be aware, the content of the *.pc file is generated here!
    python ReleaseVersion.py \$arch ${toolkit.dir};

    ### Headers ###
    mkdir -p ${toolkit.dir}/include/openni2
    cp -Rf OpenNI-Linux-\$arch-2.2/Include/* ${toolkit.dir}/include/openni2/

    ### Libs ###
    mkdir -p ${toolkit.dir}/lib/
    cp -Rf OpenNI-Linux-\$arch-2.2/Redist/* ${toolkit.dir}/lib/

    ### PKG Config file ###
    result_pc_file="OpenNI-Linux-\$arch-2.2/libopenni2.pc";
    cp -f \$result_pc_file ${toolkit.dir}/lib/pkgconfig;

versions:
- name: csra-hash-0.9
  variables:
    commit: 1d270fce2a286037f79e7b9839fa0e0f3f18db4e

- name: hash-17.12
  variables:
    commit: 081a69eb6b065de9d9cf66ba9748a635c9bcdd50
